Subject: bug#36139: [PATCH] Make better use of the switch op in cond forms

From: Noam Postavsky <[email-masked]>
Date: Tue, 11 Jun 2019 07:25:05 -0400

Mattias Engdegård <[email-masked]> writes:

> 10 juni 2019 kl. 17.38 skrev [email-masked]:
>> 
>> Redefining eq, equal, memq, or member with defun or advice is already
>> unreliable because they are translated to byte codes.  eql and memql are
>> not, so this patchset (specifically, the last 2 patches, I think) would
>> make the situation a bit worse for those functions, in that it would
>> prevent defun/advice override for eql and memql from applying in cond
>> forms.
>
> `eql' is already recognised for switch generation in cond forms
> today.

Oh, I wasn't aware of that.  Somehow I had the impression it was only
for `eq'.

> More generally, is redefinition of such fundamental built-ins
> really a serious concern?

Not in my opinion, I just wanted to mention it for completeness.